2021-12-08 18:46 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000117FSSCPFREDpublic2021-01-09 04:28
Reporterdiamondgeezer 
Assigned ToFSO 4 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionsuspended 
Product Version 
Target VersionFixed in Version 
Summary0000117: FRED and remembering directories
DescriptionOK, this is something that's been around since the first days of FRED. When I use the open file dialogue to open a mission, it stores that path. If I then use the open file dialogue for message sounds, it goes to the mission folder and I have to navigate to the appropriate folder. And of course the opposite is true. It gets pretty annoying after a while. Can it pleased get fixed to remember paths on a file-type basis?
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0002100closedGoober5000 FRED saving loactions 
+Relationships

-Notes

~0000620

RandomTiger (developer)

Could you catalogue all open file dailog locations and the file types they corrispond to?

~0000663

diamondgeezer (reporter)

Er... is this what you want? Those marked * are found in the Events editor:

Open mission --> data\missions (fs2)
Open (head) ANI --> data\interface (ani)*
Open sound file --> data\voice\special (wav)*

Think that's all of 'em. Note that FRED will take me to the appropriate directory initially... but once a file is opened from that dialogue, that folder gets 'locked in' and will appear next time I open one of the open-file dialogues...

~0000666

RandomTiger (developer)

Im wanting a list of all the open files so that I can fix this problem for all of them at the same time.

~0000667

diamondgeezer (reporter)

In that case, I don't know what you mean :)

~0000793

Lightspeed (reporter)

Last edited: 2004-04-16 18:03

Kazans FRED build actually doesnt remember ANY directories for me. It always resets to 'my files' when the file requester pops up. Now *that* is annoying.

edited on: 04-16-04 18:03

~0004518

Goober5000 (administrator)

Assigning to phreak since he fixed something similar recently.

~0005454

phreak (developer)

I think its best to leave this until we manage to start working on wxFred2

~0014094

Goober5000 (administrator)

Lumping this in with wxFRED per comments.

~0017054

MjnMixael (manager)

Migrated to GitHub as a QtFRED feature request.
+Notes

-Issue History
Date Modified Username Field Change
2004-02-28 19:02 diamondgeezer New Issue
2004-03-31 17:55 RandomTiger Note Added: 0000620
2004-04-03 13:05 diamondgeezer Note Added: 0000663
2004-04-03 13:56 RandomTiger Note Added: 0000666
2004-04-03 13:58 diamondgeezer Note Added: 0000667
2004-04-16 18:02 Lightspeed Note Added: 0000793
2004-04-16 18:03 Lightspeed Note Edited: 0000793
2005-03-13 14:35 administrator Assigned To => user303
2005-03-13 14:35 administrator Status new => assigned
2005-08-21 01:37 Goober5000 Assigned To user303 => Goober5000
2006-01-27 23:36 Goober5000 Note Added: 0004518
2006-01-27 23:36 Goober5000 Assigned To Goober5000 => phreak
2006-05-02 13:14 phreak Note Added: 0005454
2006-05-02 14:15 Goober5000 Assigned To phreak => FSO 4
2007-07-24 06:12 Goober5000 Assigned To FSO 4 => Goober5000
2012-07-03 01:17 Goober5000 Relationship added duplicate of 0002100
2012-11-19 18:33 Goober5000 Note Added: 0014094
2012-11-19 18:33 Goober5000 Assigned To Goober5000 => FSO 4
2012-11-19 18:33 Goober5000 Resolution open => suspended
2021-01-09 04:28 MjnMixael Status assigned => closed
2021-01-09 04:28 MjnMixael Note Added: 0017054
+Issue History